%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           python-TurboMail
Version:        2.1
Release:        6%{?dist}
Summary:        Multi-threaded mail queue manager for TurboGears applications

Group:          Development/Libraries
License:        MIT
URL:            http://trac.orianagroup.com/turbomail
Source0:        http://cheeseshop.python.org/packages/source/T/TurboMail/TurboMail-%{version}.tar.gz
Source1:        LICENSE.txt
Patch0:         %{name}-tgreq.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  TurboGears python-devel
Requires:       TurboGears


%description
TurboMail is a TurboGears extension, meaning that it starts up and shuts down
alongside any TurboGears applications you write, in the same way that visit
tracking and identity do. TurboMail uses built-in Python modules for SMTP
communication and MIME e-mail creation, but greatly simplifies these tasks by
performing the grunt-work for you. Additionally, TurboMail is multi-threaded,
allowing for single or batch enqueueing and background delivery of mail.

%prep
%setup -q -n TurboMail-%{version}
%patch0
cp %{SOURCE1} .
rm -fr tests


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt
%{python_sitelib}/TurboMail-%{version}-py%{pyver}.egg-info
%dir %{python_sitelib}/turbomail
%{python_sitelib}/turbomail/*.py*

%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.1-5
- Rebuild for Python 2.6

* Tue Sep  2 2008 Michael Schwendt <mschwendt@fedoraproject.org> 2.1-4
- Include unowned directory.

* Tue Feb 19 2008 Luke Macken <lmacken@redhat.com> 2.1-2
- Patch setup.py to add __requires__="TurboGears".  This will make sure we pull
  in the appropriate CherryPy module.

* Tue Feb 19 2008 Luke Macken <lmacken@redhat.com> 2.1-2
- Bump and rebuild to fix a broken upgrade path

* Mon Nov 26 2007 Luke Macken <lmacken@redhat.com> 2.1-1
- Update to 2.1

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> 2.0.4-2
- Add python-devel to BuildRequires

* Tue Jun  5 2007 Luke Macken <lmacken@redhat.com> 2.0.4-1
- Latest upstream release

* Fri Jan 19 2007 Luke Macken <lmacken@redhat.com> 2.0.3-3
- Remove superfluous build

* Fri Dec 15 2006 Luke Macken <lmacken@redhat.com> 2.0.3-2
- Add TurboGears to BuildRequires
- Remove superfluous CFLAGS
- Add LICENSE.txt

* Thu Dec 14 2006 Luke Macken <lmacken@redhat.com> 2.0.3-1
- Initial release
